dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AwardUpgrade(eUPGRADE_SAMMY);

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

--square block formation
LManager:AddTable(eTYPE_TABLE1, 160, 260);
LManager:AddTable(eTYPE_TABLE2, 360, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 160, 375);
LManager:AddTable(eTYPE_TABLE5, 360, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE7, 160, 490);
LManager:AddTable(eTYPE_TABLE8, 360, 490);
LManager:AddTable(eTYPE_TABLE9, 560, 490);

LManager:AddCandle(165, 74, 10000);
LManager:AddCandle(285, 74, 10000);
LManager:AddCandle(576, 74, 10000);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED12);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED13);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED14);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 8;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 9;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 103000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 159000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 5000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 107000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 138000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 8000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 103000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 143000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 69000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 108000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 64000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 22000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 105000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 13000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 127000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 143000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 183000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 8000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 48000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 22000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 88000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 28000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 43000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 86000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 3000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 66000;
LManager:AddGuest(guest);

-- table 9
guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 41000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 85000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 8000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 69000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 101000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(5,4);
LManager:SetLevelScores(8550, 8750);
LManager:SetLevelTime(20000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();